angular2-esri4-components

A set of Angular 2 components to work with ArcGIS API for JavaScript v4.3

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
427May 20, 2019Nov 28, 2016Minified + gzip package size for angular2-esri4-components in KB

Readme

angular2-esri4-components

npm version

A set of Angular 2 components to work with ArcGIS API for JavaScript v4.3

Setup

npm install --save angular2-esri4-components

Component status:

Component Status Docs Issue
esri4-map Available README -
esri4-legend Not Started -
esri4-layerList Not Started -
esri4-customWidget Available README #4
esri4-layersToggle Available README #6
(more coming) -

Setup

Import CSS for ArcGIS API for JavaScript v4 into the head of your index.html:

<!doctype html>
<html>
<head>
  <!-- ... -->
  <link rel="stylesheet" href="https://js.arcgis.com/4.3/esri/css/main.css">
  <!-- ... -->
</head>
<body>
  <app-root>Loading...</app-root>
</body>
</html>

Include Angular2Esri4Module in your main module:

// ...

import { Angular2Esri4Module } from 'angular2-esri4-components';

@NgModule({
  // ...
  imports: [
    Angular2Esri4Module
  ],
  // ...
})
export class AppModule { }

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.